List webhook subscriptions

​

Find your organization’s v2 webhook subscriptions. Filter by installer or active status, and use page.nextCursor to request the next page. Signing secrets and callback query parameters are omitted.

Query Parameters

  • Use page.nextCursor from the previous response. Omit for the first page. Keep the same filters while paging.

  • Maximum number of records to return on this page.

  • Limit results to subscriptions for this installer.

  • Use true for active subscriptions or false for paused subscriptions. Omit to include both.

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/external/v2/webhook-subscriptions
curl 'https://sales-api.artemis.solar/external/v2/webhook-subscriptions?limit=25' \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
Final page of subscriptions
{
  "data": [
    {
      "id": "79c336cf-4067-44af-af39-c235db33aae2",
      "callbackUrl": "https://integrations.example.com/webhooks/artemis",
      "callbackHasQuery": false,
      "apiMethod": "POST",
      "eventTypes": [
        "project-created",
        "project-updated",
        "design-help-started",
        "design-help-ended"
      ],
      "authType": "hmac",
      "hasAuthCredentials": true,
      "customHeaderNames": [],
      "isActive": true,
      "installerId": "f7b7db62-29bf-4e70-bf73-a9221674f12a",
      "contractVersion": 2,
      "createdAt": "2026-09-05T12:00:00.000Z",
      "updatedAt": "2026-09-05T12:00:00.000Z"
    }
  ],
  "page": {
    "nextCursor": null
  }
}